lucene-solr-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Chris Hostetter <hossman_luc...@fucit.org>
Subject Re: Which versions?
Date Wed, 26 Aug 2009 00:52:15 GMT

: Which versions of Lucene, Nutch and Solr work together?  I've
: discovered that the Nutch trunk and the Solr trunk use wildly
: different versions of the Lucene jars, and it's causing me problems.

The Solr and Nuthc projects don't really target any sort of strict binary 
compatibility with eachother -- they operate on different release cycles 
and upgrade their dependencies as needed.

most of hte work i know of to integrate nutch/solr (largly being worked on 
in the nutch community as i understand it) seems to be focusing on using 
Nutch to crawl, and then Nutch using the SolrJ client library to index to 
solr over HTTP (i could be wrong about that).  In which case Nutch and 
Solr don't need to be using hte same versions of Lucene at all.

People might be able t ogive you more assistance if you can describe 
exactly what you're trying to do, and hat problems you are encountering,



-Hoss


Mime
View raw message